> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all users accessible to the requester.

> Get all users accessible to the requester.

## OpenAPI

````json GET /sys/v1/users
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/sys/v1/users": {
      "get": {
        "operationId": "ListUsers",
        "tags": [
          "Users"
        ],
        "security": [
          {
            "bearerToken": []
          },
          {
            "apiKeyAuth": []
          }
        ],
        "summary": "Get all users accessible to the requester.",
        "description": "Get all users accessible to the requester.",
        "parameters": [
          {
            "$ref": "#/components/parameters/ListUsersParams"
          }
        ],
        "responses": {
          "2XX": {
            "description": "Success result",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/User"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "ListUsersParams": {
        "in": "query",
        "name": "ListUsersParams",
        "schema": {
          "$ref": "#/components/schemas/ListUsersParams"
        },
        "explode": true
      }
    },
    "schemas": {
      "User": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "account_role": {
                "$ref": "#/components/schemas/UserAccountFlags"
              },
              "created_at": {
                "type": "string",
                "pattern": "^\\d{4}\\d{2}\\d{2}T\\d{2}\\d{2}\\d{2}Z$",
                "example": "20170509T070912Z"
              },
              "dependent_services": {
                "type": "array",
                "uniqueItems": true,
                "items": {
                  "type": "string",
                  "maxLength": 4096,
                  "pattern": "^[^\\n]*[^\\s\\n][^\\n]*$"
                },
                "nullable": true
              },
              "description": {
                "type": "string",
                "nullable": true
              },
              "email_verified": {
                "type": "boolean",
                "nullable": true
              },
              "explicit_groups": {
                "type": "object",
                "additionalProperties": {
                  "$ref": "#/components/schemas/UserGroupRole"
                },
                "nullable": true,
                "description": "Explicit group assignments.\n\nThis is similar to `groups` field except that it does not include groups due to\nall-groups roles. Use this field to find out which group assignments can be\nchanged using `mod_groups` and `del_groups` fields in user update API."
              },
              "first_name": {
                "type": "string",
                "maxLength": 4096,
                "pattern": "^[^\\n]*[^\\s\\n][^\\n]*$",
                "nullable": true
              },
              "groups": {
                "type": "object",
                "additionalProperties": {
                  "$ref": "#/components/schemas/UserGroupRole"
                },
                "nullable": true
              },
              "has_account": {
                "type": "boolean",
                "nullable": true
              },
              "has_password": {
                "type": "boolean",
                "nullable": true
              },
              "last_logged_in_at": {
                "type": "string",
                "pattern": "^\\d{4}\\d{2}\\d{2}T\\d{2}\\d{2}\\d{2}Z$",
                "example": "20170509T070912Z"
              },
              "last_name": {
                "type": "string",
                "maxLength": 4096,
                "pattern": "^[^\\n]*[^\\s\\n][^\\n]*$",
                "nullable": true
              },
              "mfa_devices": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/MfaDevice"
                },
                "description": "Mfa devices registered with the user"
              },
              "new_email": {
                "type": "string",
                "format": "email"
              },
              "self_provisioned": {
                "type": "boolean",
                "nullable": true
              },
              "u2f_devices": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/MfaDevice"
                }
              },
              "user_email": {
                "type": "string",
                "format": "email"
              },
              "user_id": {
                "type": "string",
                "format": "uuid"
              }
            },
            "required": [
              "account_role",
              "mfa_devices",
              "u2f_devices",
              "user_email",
              "user_id"
            ]
          }
        ]
      },
      "ListUsersParams": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "group_id": {
                "type": "string",
                "format": "uuid"
              },
              "acct_id": {
                "type": "string",
                "format": "uuid"
              },
              "limit": {
                "type": "integer"
              },
              "offset": {
                "type": "integer"
              },
              "with_groups": {
                "$ref": "#/components/schemas/WithGroups"
              }
            }
          },
          {
            "$ref": "#/components/schemas/UserSort"
          }
        ]
      },
      "UserAccountFlags": {
        "description": "User's role(s) and state in an account.",
        "allOf": [
          {
            "type": "array",
            "uniqueItems": true,
            "items": {
              "$ref": "#/components/schemas/UserAccountFlagOrRole"
            }
          }
        ]
      },
      "UserGroupRole": {
        "description": "User's role(s) in a group.",
        "allOf": [
          {
            "type": "array",
            "uniqueItems": true,
            "items": {
              "$ref": "#/components/schemas/LegacyUserGroupRoleOrRoleId"
            }
          }
        ]
      },
      "MfaDevice": {
        "allOf": [
          {
            "type": "object",
            "description": "A FIDO device that may be used for second factor authentication.",
            "properties": {
              "name": {
                "type": "string",
                "maxLength": 4096,
                "pattern": "^[^\\n]*[^\\s\\n][^\\n]*$",
                "description": "Name given to the FIDO device."
              },
              "type": {
                "$ref": "#/components/schemas/MfaDeviceType"
              },
              "origin": {
                "type": "string",
                "nullable": true,
                "description": "Origin of the FIDO device."
              }
            },
            "required": [
              "name",
              "type"
            ]
          }
        ]
      },
      "WithGroups": {
        "type": "string",
        "enum": [
          "all",
          "explicit_only",
          "none"
        ]
      },
      "UserSort": {
        "oneOf": [
          {
            "title": "UserSortVariantByUserId",
            "type": "object",
            "properties": {
              "sort": {
                "type": "string",
                "pattern": "^user_id:(?:asc|desc)$",
                "example": "user_id:asc"
              },
              "start": {
                "type": "string",
                "format": "uuid"
              }
            },
            "required": [
              "sort"
            ]
          }
        ]
      },
      "UserAccountFlagOrRole": {
        "description": "User account flag or legacy user account role name or custom role id",
        "oneOf": [
          {
            "$ref": "#/components/schemas/UserAccountFlag"
          },
          {
            "$ref": "#/components/schemas/LegacyUserAccountRole"
          },
          {
            "type": "string",
            "format": "uuid"
          }
        ]
      },
      "LegacyUserGroupRoleOrRoleId": {
        "description": "Legacy user group role name or custom role id",
        "oneOf": [
          {
            "$ref": "#/components/schemas/LegacyUserGroupRole"
          },
          {
            "type": "string",
            "format": "uuid"
          }
        ]
      },
      "MfaDeviceType": {
        "description": "Type of MFA device",
        "type": "string",
        "enum": [
          "U2f",
          "Fido2"
        ]
      },
      "UserAccountFlag": {
        "description": "User account flag",
        "type": "string",
        "enum": [
          "STATEENABLED",
          "PENDINGINVITE"
        ]
      },
      "LegacyUserAccountRole": {
        "description": "Legacy user account role",
        "type": "string",
        "enum": [
          "ACCOUNTADMINISTRATOR",
          "ACCOUNTMEMBER",
          "ACCOUNTAUDITOR"
        ]
      },
      "LegacyUserGroupRole": {
        "description": "Legacy user group role",
        "type": "string",
        "enum": [
          "GROUPAUDITOR",
          "GROUPADMINISTRATOR"
        ]
      }
    }
  }
}
````

